# Class PostBattleInitStatChangeAbAttr

#### Hierarchy (view full)

- PostBattleInitAbAttr
  - PostBattleInitStatChangeAbAttr

- Defined in src/data/ability.ts:200

#####
Index

### Constructors

constructor

### Properties

levels
selfTarget
showAbility
stats

### Methods

addCondition
apply
applyPostBattleInit
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostBattleInitStatChangeAbAttr(stats, levels, selfTarget?): PostBattleInitStatChangeAbAttr

- #### Parameters

  - stats: BattleStat | BattleStat []
  - levels: number
  - `Optional` selfTarget: boolean

  #### Returns PostBattleInitStatChangeAbAttr

  Overrides PostBattleInitAbAttr.constructor

  - Defined in src/data/ability.ts:205

## Properties

### `Private` levels

levels: number

- Defined in src/data/ability.ts:202

### `Private` selfTarget

selfTarget: boolean

- Defined in src/data/ability.ts:203

### showAbility

showAbility: boolean

Inherited from PostBattleInitAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` stats

stats: BattleStat []

- Defined in src/data/ability.ts:201

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostBattleInitAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostBattleInitAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostBattleInit

- applyPostBattleInit(pokemon, passive, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - args: any[]

  #### Returns boolean

  Overrides PostBattleInitAbAttr.applyPostBattleInit

  - Defined in src/data/ability.ts:215

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostBattleInitAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostBattleInitAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137